<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:padding="@dimen/content_padding_24">

    <TextView
        android:id="@+id/top_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="30dp"
        android:gravity="center_horizontal"
        android:text="登录小绵羊"
        android:textColor="@color/black_6_3"
        android:textSize="@dimen/text_size_25"
        android:textStyle="bold" />

    <RelativeLayout
        android:id="@+id/for_account_pwd_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/top_bar"
        android:visibility="gone">

        <EditText
            android:id="@+id/user_name_box"
            style="@style/login_edit_style"
            android:digits="@string/digits_username"
            android:hint="请输入用户名/手机号"
            android:maxLength="20"
            android:paddingLeft="@dimen/content_padding_5" />

        <View
            style="@style/login_separetor_line_style"
            android:layout_below="@+id/user_name_box" />

        <EditText
            android:id="@+id/password_box"
            style="@style/login_edit_style"
            android:layout_below="@+id/user_name_box"
            android:digits="@string/digits_password"
            android:hint="请输入密码(6-16位)"
            android:inputType="textPassword"
            android:maxLength="16"
            android:paddingLeft="@dimen/content_padding_5" />

        <ImageView
            android:id="@+id/show_hide_pwd_btn"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_alignParentRight="true"
            android:layout_below="@+id/user_name_box"
            android:layout_marginTop="26dp"
            android:padding="7dp"
            android:src="@mipmap/pwd_hide"
            android:tint="@color/bg_line" />

        <View
            style="@style/login_separetor_line_style"
            android:layout_below="@+id/password_box" />
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/for_phone_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/top_bar">

        <EditText
            android:id="@+id/phone_number_box"
            style="@style/login_edit_style"
            android:hint="请输入手机号"
            android:inputType="phone"
            android:maxLength="11" />

        <View
            style="@style/login_separetor_line_style"
            android:layout_below="@+id/phone_number_box" />

        <EditText
            android:id="@+id/captcha_box"
            style="@style/login_edit_style"
            android:layout_below="@+id/phone_number_box"
            android:hint="输入验证码"
            android:inputType="phone"
            android:maxLength="6" />

        <View
            style="@style/login_separetor_line_style"
            android:layout_below="@+id/captcha_box" />

        <com.sheep.gamegroup.view.customview.CountDownButton
            android:id="@+id/send_captcha_btn"
            android:layout_width="wrap_content"
            android:layout_height="25dp"
            android:layout_alignParentRight="true"
            android:layout_below="@+id/phone_number_box"
            android:layout_marginTop="28dp"
            android:background="@drawable/round_main_r25"
            android:text="获取验证码"
            android:textColor="@android:color/white"
            android:textSize="12sp" />
    </RelativeLayout>

    <ImageView
        android:id="@+id/account_menu_btn"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_alignParentRight="true"
        android:layout_marginTop="120dp"
        android:padding="8dp"
        android:src="@mipmap/arrow_down"
        android:tint="@color/black_6_3" />

    <TextView
        android:id="@+id/trouble_btn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_below="@id/top_bar"
        android:layout_marginTop="130dp"
        android:text="登录遇到问题?"
        android:textColor="@color/blue_34a6e7"
        android:textSize="12sp" />

    <Button
        android:id="@+id/login_btn"
        style="@style/login_theme_round_button"
        android:layout_below="@+id/trouble_btn"
        android:layout_marginTop="20dp"
        android:text="登录" />

    <TextView
        android:id="@+id/register_btn"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/login_btn"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="16dp"
        android:text="新用户注册"
        android:textColor="@color/blue_34a6e7"
        android:textSize="12sp" />

    <include layout="@layout/footer_thirdpart_login" />



</RelativeLayout>
